import java.util.*;

public class Main {
    public static void main(String arg[]) {
        Scanner in = new Scanner(System.in);
        int length = in.nextInt();
        int width = in.nextInt();
        ArrayList<Integer> arrayList = new ArrayList<>();
        for (int i = 0; i <width; i++) {
            arrayList.add( in.nextInt());
        }
        HashMap<Integer,Integer> values= new HashMap<>();
        for (int i = 0; i < width; i++) {
            values.put(arrayList.get(i),0);
        }
        for (int i = 0; i < width; i++) {
            values.put(arrayList.get(i),values.get(arrayList.get(i))+1);
        }
        ArrayList<Integer> unique= new ArrayList<>();
        for (int i = 0; i <width; i++) {
            if (!(unique.contains(arrayList.get(i)))){
                unique.add(arrayList.get(i));
            }
        }
        int sum = 0;
        ArrayList<Integer> finalList=new ArrayList<>();
        for (int i = 0; i <unique.size(); i++) {
            if (values.get(unique.get(i))>=length){
                finalList.add(unique.get(i));
                sum++;
            }
        }
        System.out.println(sum);
        for (int i = 0; i < finalList.size() ; i++) {
            System.out.print(finalList.get(i)+" ");
        }
    }
}
